using DiskCardGame;
using InscryptionAPI.Card;
using System.Collections.Generic;

namespace CoolMod;

public partial class Plugin
{
    private void Add_SummonersFamiliar()
    {

        CardManager.New(modPrefix: PluginGuid3, "SummonersFamiliar", "Summoners Familiar", 0, 3, "")
            .SetDefaultPart3Card()
            .SetPortrait(Asset.LoadTexture("portrait_fire.png"))
            .SetEmissivePortrait(Asset.LoadTexture("portrait_fire.png"))
            .AddAbilities(Ability.Sacrificial, Ability.GainGemOrange)
            .SetPixelPortrait(Asset.LoadTexture("SummonersFamiliar.png"))
            .SetGBCPlayable(CardTemple.Wizard)
            .SetCost(gemsCost: new List<GemType> { GemType.Orange })
            .AddTraits(Trait.Gem)
            .SetRare()
            ;
    }
}