using DiskCardGame;
using InscryptionAPI.Card;

namespace CoolMod;

public partial class Plugin
{
    private void Add_Bottomfeeders()
    {
        CardManager.New(modPrefix: PluginGuid, "BottomFeeders", "Bottom Feeder", 0, 1, "The Aquatic Bottom Feeder, trawling the bottoms of the river.")
            .SetDefaultPart1Card()
            .SetPortrait(Asset.LoadTexture("portrait_bottomfeeder.png"))
            .SetEmissivePortrait(Asset.LoadTexture("portrait_bottomfeeder_emission.png"))
            .AddAbilities(Ability.Submerge, Ability.BoneDigger)
            .SetPixelPortrait(Asset.LoadTexture("FeederPixel.png"))
            .SetGBCPlayable(CardTemple.Nature)
            .SetBloodCost(1)
            .AddMetaCategories(CardMetaCategory.ChoiceNode, CardMetaCategory.TraderOffer)
            .metaCategories.Add(CardMetaCategory.GBCPack)
        ;
    }
}