using DiskCardGame;
using InscryptionAPI.Card;
using System.Collections.Generic;

namespace CoolMod;

public partial class Plugin
{
    private void Add_Enlightened()
    {
        CardManager.New(modPrefix: PluginGuid3, "EnlightenedMage", "Enlightened Scholar", 0, 1, " ")
            .SetDefaultPart3Card()
            .SetPortrait(Asset.LoadTexture("portrait_fire.png"))
            .SetEmissivePortrait(Asset.LoadTexture("portrait_fire.png"))
            .AddAbilities(Ability.QuadrupleBones, Ability.TripleBlood, Ability.GainBattery, Ability.GainGemBlue)
            .SetPixelPortrait(Asset.LoadTexture("SchoalarPixel.png"))
            .AddMetaCategories(CardMetaCategory.Rare)
            .AddTraits(Trait.Gem)
            .SetCost(gemsCost: new List<GemType> { GemType.Blue })
            .SetGBCPlayable(CardTemple.Wizard);
            ;
    }
}