using DiskCardGame;
using InscryptionAPI.Card;

namespace CoolMod;

public partial class Plugin
{
    private void Add_Executioner()
    {
        CardInfo cardInfo = CardManager.New(modPrefix: PluginGuid2, "GrimoraMod_Executioner", "Executioner", 1, 3, "An imposing force, decapitating its targets with one swift strike.")
            .SetPortrait(Asset.LoadTexture("portrait_executioner.png"))
            .SetEmissivePortrait(Asset.LoadTexture("portrait_executioner_emission.png"))
            .AddAbilities(Ability.Deathtouch)
            .SetPixelPortrait(Asset.LoadTexture("ExecutionerPixel.png"))
            .SetGBCPlayable(CardTemple.Undead)
            .AddMetaCategories(CardMetaCategory.GBCPack, CardMetaCategory.GBCPlayable)
            .AddMetaCategories(CardMetaCategory.ChoiceNode, CardMetaCategory.TraderOffer)
            .SetBonesCost(6);
            ;
        CardManager.Add("arackulele.inscryption.grimoramod", cardInfo);
    }
}