using DiskCardGame;
using InscryptionAPI.Card;
using System.Collections;

namespace CoolMod;

public partial class Plugin
{
    private void Add_Librarian()
    {
        AbilityInfo mouse = AbilityManager.New(PluginGuid, "DeadByte", $"when [creature] dies, it's owner is dealt 3 damage.", typeof(DeadByte), "ability_filesizedamage.png")
        .SetPixelAbilityIcon(Asset.LoadTexture("pixeldeadbyte.png"))
        .SetDefaultPart3Ability()
        ;
        mouse.rulebookName = "Dead Byte [Hacked]";
        DeadByte.ability = mouse.ability;
        CardInfo cardInfo = CardManager.New(modPrefix: PluginGuid, "Librarian", "Librarian", 1, 2, "")
            .SetPortrait(Asset.LoadTexture("portrait_librarian.png"))
            .AddAbilities(DeadByte.ability)
            .SetPixelPortrait(Asset.LoadTexture("pixellibrarian.png"))
            ;
    }
    public class DeadByte : AbilityBehaviour
    {
        internal static Ability ability;
        public override Ability Ability => ability;
        public override bool RespondsToDie(bool wasSacrifice, PlayableCard killer) => true;
        public override IEnumerator OnDie(bool wasSacrifice, PlayableCard killer)
        {
            yield return Singleton<LifeManager>.Instance.ShowDamageSequence(3, 3, true);
            yield return base.OnDie(wasSacrifice, killer);
        }
    }
}