using DiskCardGame;
using InscryptionAPI.Card;

namespace CoolMod;

public partial class Plugin
{
    private void Add_Vessel()
    {
        CardManager.New(modPrefix: PluginGuid4, "Vessel", "Vessel", 0, 1, "")
            .SetPortrait(Asset.LoadTexture("portrait_fire.png"))
            .SetEmissivePortrait(Asset.LoadTexture("portrait_fire.png"))
            .AddAbilities(Ability.ConduitNull)
            .SetPixelPortrait(Asset.LoadTexture("VesselPixel.png"))
            .SetGBCPlayable(CardTemple.Tech)
            .SetEnergyCost(1)
            ;
    }
}